BEGIN {
  use strict; use warnings;
  unless(eval q{ use 5.006; 1}) {
    print "Perl 5.006 or better required\n";
    exit;
  }
}
# This file was automatically generated by Dist::Zilla::Plugin::Author::Plicease::MakeMaker v2.68.
use strict;
use warnings;
use 5.006;
use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT"           => "Basic implementation of the XDG base directory specification",
  "AUTHOR"             => "S\x{ed}le Ekaterin Aman, Graham Ollis <plicease\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME"         => "File-XDG",
  "LICENSE"          => "perl",
  "MIN_PERL_VERSION" => "5.006",
  "NAME"             => "File::XDG",
  "PM"               => {
    "lib/File/XDG.pm" => "\$(INST_LIB)/File/XDG.pm"
  },
  "PREREQ_PM" => {
    "File::Path"  => "2.07",
    "Path::Class" => "0.26"
  },
  "TEST_REQUIRES" => {
    "File::Path" => "2.07",
    "File::Temp" => 0,
    "Test::More" => "0.98"
  },
  "VERSION" => "0.08",
  "test"    => {
    "TESTS" => "t/*.t"
  }
);

my %FallbackPrereqs = (
  "File::Path"  => "2.07",
  "File::Temp"  => 0,
  "Path::Class" => "0.26",
  "Test::More"  => "0.98"
);

unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);